// 程序 内部数据解析过滤


// 按钮组，banner等，根据type进行逻辑处理，判断跳转方向
// 待完善补充
export const goType = (e) => {
	console.log(e);
	//跳转类型:1=无跳转,2=跳转商品详情,3=三方小程序,4=内部小程序页面,5=分类,6=书名关键词搜索
	
	/* 1=无跳转  target content无内容
	2=跳转商品详情   target content = 商品id
	3=三方小程序,   target content = 手动输入
	4=指定路由跳转,   target content = 手动输入
	5=分类  target content = 分类id
	6=关键词搜索  target content无内容 */
	
	// .target_type,this.bannerSwiperList[e].target_content
	switch (Number(e.target_type)){
		case 1:
			break;
		case 2:
			// 跳转商品详情
			uni.navigateTo({
				url: '/pages-mall/pages/goods/detail?goodsId='+e.target_content
			});
			break;
		case 3:
			return;
			uni.navigateToMiniProgram({
			  appId: opar,
			  // path: 'pages/index/index?id=123',
			  // extraData: {
			  //   'data1': 'test'
			  // },
			  success(res) {
			    // 打开成功
			  }
			})
			break;
		case 4:
			console.log(e.target_content)
			uni.navigateTo({
				url: e.target_content
			});
			break;
		case 5:
			let json = {
				id:e.target_content,
				name:e.target_name,
			}
			uni.navigateTo({
				url: '/pages/search-result?cateInfo='+ encodeURIComponent(JSON.stringify(json))
			});
			break;
		case 6:
			uni.navigateTo({
				url: '/pages/search-result?key='+e.button_name
			});
			break;
		default:
			break;
	}
}
